package com.fs.aiob.domain;

import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 百度外呼接口配置对象 aiob_baidu_call_api
 *
 * @author fs
 * @date 2025-03-20
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class AiobBaiduCallApi extends BaseEntity{

    /** id */
    private Long id;

    /** 名称 */
    @Excel(name = "名称")
    private String name;

    /** $column.columnComment */
    @Excel(name = "名称")
    private String accessKey;

    /** $column.columnComment */
    @Excel(name = "名称")
    private String secretKey;


}
