package com.fs.aiob.domain;

import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 百度AI外呼加密对象 aiob_baidu_encryption
 *
 * @author fs
 * @date 2025-03-20
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class AiobBaiduEncryption extends BaseEntity{

    /** id */
    private Long id;

    /** 秘钥ID */
    @Excel(name = "秘钥ID")
    private String secretId;

    /** 秘钥 */
    @Excel(name = "秘钥")
    private String secretKey;


}
