package com.fs.company.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntityTow;
import lombok.Data;

/**
 * 添加微信话术对象 company_wx_dialog
 * 
 * @author fs
 * @date 2024-12-06
 */
@Data
public class CompanyWxDialog extends BaseEntityTow {
    private static final long serialVersionUID = 1L;

    /** id */
    @TableId(type = IdType.AUTO)
    private Long id;

    /** 名称 */
    @Excel(name = "名称")
    private String name;

    /** 模板 */
    @Excel(name = "模板")
    private String templateDetails;


}
