package com.fs.course.domain;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;


@Data
public class FsCourseRealLink implements Serializable
{
    private Long companyId;


    private Long companyUserId;

    private String qwUserId;


    private Long videoId;


    private String corpId;

    private Long courseId;

    private Long qwExternalId;

    private Integer linkType;

    private Long linkId;

    /**
     * 用户ID (fs_user表)
     */
    private Long fsUserId;

    private Integer isRoom;

    private Long periodId;

    @ApiModelProperty(value = "营期课程id")
    private Long id;

}
