package com.fs.course.param;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import java.io.Serializable;
import java.math.BigDecimal;

/**
 * 按照营期批量设置红包入参
 */
@Data
public class FsBatchPeriodRedPackageParam implements Serializable {

    @ApiModelProperty(value = "红包金额")
    private BigDecimal redPacketMoney;

    @ApiModelProperty(value = "营期id")
    private Long periodId;

}
