package com.fs.course.param;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.core.domain.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;

@EqualsAndHashCode(callSuper = true)
@Data
public class FsCourseAnswerLogsParam  extends BaseEntity  {
    private String phone;
    private String phoneMk;

    /**
     * 课程id
     */
    private Long courseId;

    /**
     * 视频id
     */
    private String videoId;

    /**
     * 课程名称
     */
    private String courseName;
    /**
     * 销售名称
     */
    private String companyUserName;

    /**
     * 销售id
     */
    private Long companyUserId;

    /**
     * 公司
     */
    private Long companyId;
    /**
     * 是否全部正确
     */
    private Long isRight;

    private Long watchLogId;

    private Long qwUserId;
    private Long userId;
    private String nickName;

    private String project;

    private String eTime;

    private String sTime;

    private Long pageNum;
    private Long pageSize;
}
