package com.fs.course.param;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

@Data
@ApiModel
public class FsCourseListBySidebarParam implements Serializable {

    @ApiModelProperty(value = "页码,默认为1", required = true)
    private Integer pageNum = 1;

    @ApiModelProperty(value = "页大小,默认为10", required = true)
    private Integer pageSize = 10;

    @ApiModelProperty(value = "模糊搜索，通过视频名称来匹配")
    private String keyword;

    @ApiModelProperty(value = "公司id")
    private Long companyId;
    /**
     * 外部联系人主键ID
     */
    private Long extId;
    /**
     * 课程ID
     */
    private Long courseId;
}
