package com.fs.course.param;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.utils.DateUtils;
import lombok.Data;

import java.util.Date;

@Data
public class FsCourseWatchLogStatisticsListParam {

    private Long companyId;
    private Long companyUserId;
    private Long userId;

    private String nickName;

    private Long courseId;

    private Long videoId;

    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date eTime;
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date sTime;

    private String startDate;
    private String endDate;

    public String getStartDate() {
        return DateUtils.getStartOfDayString(sTime);
    }

    public String getEndDate() {
        return DateUtils.getEndOfDayString(eTime);
    }

    private Long project;

    private Long pageNum;
    private Long pageSize;
}
