package com.fs.course.param.newfs;


import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

@Data
@ApiModel
public class UserCourseVideoPageParam implements Serializable {

    @ApiModelProperty(value = "页码,默认为1", required = true)
    private Integer pageNum = 1;

    @ApiModelProperty(value = "页大小,默认为10", required = true)
    private Integer pageSize = 10;

    @ApiModelProperty(value = "模糊搜索，通过视频名称来匹配")
    private String keyword;

//    @ApiModelProperty(value = "课程id")
//    private Long courseId;

    @ApiModelProperty(value = "营期id")
    private Long periodId;

    @ApiModelProperty(value = "公司id")
    private Long companyId;

    private String corpId;

    private String qwUserId;



//    @ApiModelProperty(value = "视频状态 1：草稿，2：待审核，3：发布")
//    private Long status;

}
