package com.fs.crm.domain;

import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import lombok.Data;

/**
 * 客户员工协作对象 crm_customer_assist
 *
 * @author fs
 * @date 2025-05-27
 */
@Data
public class CrmCustomerAssist extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private Long companyId;

    /** 销售ID */
    @Excel(name = "销售ID")
    private Long companyUserId;

    /** 销售名字 */
    @Excel(name = "销售名字")
    private String companyUserName;

    /** 销售公司ID */
    @Excel(name = "销售公司ID")
    private Long customerId;
}
