package com.fs.erp.domain;

import lombok.Data;

import java.math.BigDecimal;

/**
 * 金博订单实体  data
 */
@Data
public class KingbosOrderData {
    // 订单来源
    private String cordersource;
    // 订单下单时间
    private String dorder_date;
    // 店铺买家编号
    private String cshop_buyer_id;
    // 平台类型
    private String cplatformtype;
    // 平台店铺编号
    private String cshop_id;
    // 平台店铺名称
    private String cshop_name;
    // 平台订单号
    private String cso_id;
    // OMS订单号
    private String co_id;
    // OMS发货单号
    private String cdo_id;
    // 应付金额
    private BigDecimal fpay_amount;
    // 已付金额
    private BigDecimal fpaid_amount;
    // 运费
    private BigDecimal ffreight;
    // 优惠金额
    private BigDecimal ffree_amount;
    // 订单状态
    private String cstatus;
    // 物流成本
    private BigDecimal fpostcost;
    // 最后更新时间
    private String dmodified;
    // 收件人(省)
    private String creceiver_state;
    // 收件人(城市)
    private String creceiver_city;
    // 收件人(区)
    private String creceiver_district;
    // 收件人(详细地址)
    private String creceiver_address;
    // 收件人(名称)
    private String creceiver_name;
    // 收件人(电话)
    private String creceiver_mobile;
    // 快递单号
    private String cexpress_no;
    // 快递公司代码
    private String cexpress_code;
    // 快递公司名称
    private String cexpress_name;
    // 仓库代码
    private String cwarehouse_code;
    // 仓库名称
    private String cwarehouse_name;
    //货到付款
    private Integer bis_cod;
    //代收金额
    private BigDecimal fshouldpaymoney;
}
