package com.fs.qw.domain;

import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import lombok.Data;

/**
 * 联系我日志对象 qw_contact_way_logs
 *
 * @author fs
 * @date 2024-07-23
 */
@Data
public class QwContactWayLogs extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** 联系我id */
    @Excel(name = "联系我id")
    private Long wayId;

    /** 企微用户id */
    @Excel(name = "企微用户id")
    private Long userId;

    /** 公司用户id */
    @Excel(name = "公司用户id")
    private Long companyUserId;

    /** 状态 */
    @Excel(name = "状态")
    private Integer type;

    /** 描述 */
    @Excel(name = "描述")
    private String msg;

    /** 外部联系人id */
    @Excel(name = "外部联系人id")
    private Long externalUserId;

    /** 公司id */
    @Excel(name = "公司id")
    private Long companyId;

    private String corpId;
    private Long informationId;
    private String name;
    private String nickName;
    private String avatar;
    private Integer gender;
    private Integer isRepeat;
}
