package com.fs.qw.vo;

import com.fs.common.annotation.Excel;
import lombok.Data;

import java.io.Serializable;

@Data
public class QwWorkTaskListVO implements Serializable {
    private Long id;

    /** 外部联系人id */
    @Excel(name = "外部联系人id")
    private Long extId;

    private String name;
    private String qwUserName;
    private String remark;
    /** 企微用户id */
    @Excel(name = "企微用户id")
    private Long qwUserId;

    /** 类别 1先导 2 课程 3 大小转 4 转人工 */
    @Excel(name = "类别 1先导 2 课程 3 大小转 4 转人工")
    private Integer type;
    private String typeText;

    /** 状态 0 待处理 1 已处理 3 过期 */
    @Excel(name = "状态 0 待处理 1 已处理 3 过期")
    private Integer status;
    private String statusText;

    /** 分值 */
    @Excel(name = "分值")
    private Integer score;

    /** sopid */
    @Excel(name = "sopid")
    private String sopId;

    /** 公司id */
    private Long companyId;
    @Excel(name = "公司")
    private String companyName;

    /** 用户id */
    private Long companyUserId;
    @Excel(name = "销售id")
    private String companyUserName;

    private String title;

    private Long pageNum;
    private Long pageSize;
}
