package com.fs.sop.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.io.Serializable;

@Data
public class SopUserLogsInfo implements Serializable {
    private String id;
    private String sopId;
    private String userLogsId;
    private String externalContactId;
    private String qwUserId;
    private String corpId;
    private Long externalId;
    private Long fsUserId;
    private String externalUserName;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private String createTime;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private String crtTime;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private String updateTime;

    @TableField(exist = false)
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private String inComTime;

    @TableField(exist = false)
    private String tagIds;

    @TableField(exist = false)
    private String remark;

    @TableField(exist = false)
    private Integer project;

    @TableField(exist = false)
    private Integer filterMode;
    @TableField(exist = false)
    private String chatId;

}
