package com.fs.aicall.params;

import lombok.Data;

import java.util.List;
import java.util.Map;

@Data
public class AiobImportPhoneParam {

    private String taskId;
    private Integer secretType = 1;
    private String secretId;
    private List<CustomerInfoList> customerInfoList;

    @Data
    public static class CustomerInfoList{
        private String extJson;
        private String mobile;
        private String address;
        private Map<String, String> var;
    }

}
