package com.fs.company.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import lombok.Data;

import java.util.Date;

/**
 * AI外呼话术对象 company_voice_dialog
 * 
 * @author fs
 * @date 2024-12-04
 */
@Data
public class CompanyVoiceDialog {
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** 名称 */
    @Excel(name = "名称")
    private String name;

    /** 接口返回名称 */
    @Excel(name = "三方名称")
    private String resultName;

    /** 接口返回ID */
    @Excel(name = "三方ID")
    private Long resultId;

    /** 绑定号码 */
    @Excel(name = "绑定号码")
    private String callNum;

    /** 创建人 */
    @Excel(name = "创建人")
    private Long createUser;


    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    /** 备注 */
    private String remark;
}
