package com.fs.erp.domain;

import com.alibaba.fastjson.annotation.JSONField;
import lombok.Builder;
import lombok.Data;

@Data
@Builder
public class KbStockRequest {

    /**
     * 单据ID
     */
    @JSONField(name = "key", ordinal = 1)
    @Builder.Default
    private String key = "GoodStock";

    /**
     * 仓库编码
     */
    @JSONField(name = "ckid", ordinal = 2)
    private String stockCode;

    /**
     * 商品编码 【注：不传值，默认查询对应仓库所有商品库存；传值查询对应商品库存。传值格式为：商品编码+英文逗号。如：123,456,789】
     */
    @JSONField(name = "cgoodsid", ordinal = 3)
    private String goodsCode;
}
