package com.fs.qw.converter;

import com.fs.qw.domain.QwExternalContact;
import com.fs.qw.vo.GetQwRepeatDataVO;
import org.mapstruct.Mapper;
import org.mapstruct.Mapping;
import org.mapstruct.Mappings;
import org.mapstruct.factory.Mappers;

@Mapper
public interface QwExternalContactConverter {

    QwExternalContactConverter INSTANT = Mappers.getMapper(QwExternalContactConverter.class);
    @Mappings({
            @Mapping(source = "companyId",target = "companyId"),
            @Mapping(source = "companyUserId",target = "companyUserId")
    })
    GetQwRepeatDataVO convert(QwExternalContact contact);
}
