package com.fs.qw.result;

import lombok.Data;

import java.util.Date;
import java.util.Map;

@Data
public class QwFsServerIPResult {
    private Integer total;
    private Row[] rows;
    private Integer code;
    private String msg;

    @Data
    public static class Row {
        private Object searchValue;
        private String createBy;
        private Date createTime;
        private String updateBy;
        private Date updateTime;
        private String remark;
        private Map<String, Object> params;
        private Long id;
        private String ipAddress;
        private String serverType;
        private String memorySize;
        private String bindAccount;
        private String bindName;
        private Long bindCompanyId;
        private String bindCompanyName;
        private Long bindDepartmentId;
        private String bindDepartmentName;
        private String bindCropId;
        private String bindCropName;
        private String serverAccount;
        private String serverPassword;
        private Date installTime;
        private Date expirationTime;
        private Integer status;
        private Integer bindStatus;
        private Integer isDel;
        private String appKey;
        private String value;
        private String label;
        private String city;
        private String cityValue;
        private String company;
        private Date bindTime;
    }
}
